import * as Koa from "koa";
import { IKoaSSE } from "./interfaces/IKoaSSEE";
import { IKoaSSEOptions } from "./interfaces/IKoaSSEOptions";
declare module "koa" {
    interface Context {
        sse?: IKoaSSE;
    }
    interface Response extends Koa.BaseResponse {
        sse?: IKoaSSE;
    }
}
/**
 * Koa Server Side Events middleware wrapper
 *
 * @param {IKoaSSEOptions} [options=defaultOptions]
 * @returns
 */
declare const middleware: (options?: IKoaSSEOptions) => (ctx: Koa.Context, next: () => Promise<void>) => Promise<void>;
export default middleware;
